Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.Data
Class DataRelationCollection

    java.lang.Object
      LumiSoft.Data.DataRelationCollection

    public class DataRelationCollection

extends java.lang.Object

Author:
  Ivar To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Method Summary
`DataRelation` | `Add(java.lang.String name, DataColumn parentColumn, DataColumn childColumn)` Creates a DataRelation with the specified name, and parent and child columns, and adds it to the collection.
`void` | `Clear()` Clears the collection of any relations.
`boolean` | `Conatains(java.lang.String relationName)` Verifies whether a DataRelation with the given name (case insensitive) exists in the collection.
`DataRelation` | `get(int index)` Gets the DataRelation object at the specified index.
`DataRelation` | `get(java.lang.String relationName)` Gets the DataRelation object specified by name.
`int` | `getCount()` Gets the total number of elements in a collection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Add

    public DataRelation Add(java.lang.String name,
                            DataColumn parentColumn,
                            DataColumn childColumn)

  Creates a DataRelation with the specified name, and parent and child columns, and adds it to the collection.

  Parameters:
    `name` -
    `parentColumn` -
    `childColumn` -
  Returns:
    The created relation.

### Clear

    public void Clear()

  Clears the collection of any relations.

### Conatains

    public boolean Conatains(java.lang.String relationName)

  Verifies whether a DataRelation with the given name (case insensitive) exists in the collection.

  Parameters:
    `relationName` -
  Returns:
    true, if a relation with the specified name exists; otherwise false.

### getCount

    public int getCount()

  Gets the total number of elements in a collection.

  Returns:

### get

    public DataRelation get(int index)

  Gets the DataRelation object at the specified index.

  Parameters:
    `index` -
  Returns:

### get

    public DataRelation get(java.lang.String relationName)

  Gets the DataRelation object specified by name.

  Parameters:
    `relationName` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD